@font-face {
    font-family: 'GoodOT-CondBlack';
    src: url('../fonts/GoodOT-CondBlack.woff2') format('woff2'),
         url('../fonts/GoodOT-CondBlack.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}
@font-face {
    font-family: 'GoodOT-CondBold';
    src: url('../fonts/GoodOT-CondBold.woff2') format('woff2'),
         url('../fonts/GoodOT-CondBold.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}
@font-face {
    font-family: 'GoodOT-CondNews';
    src: url('../fonts/GoodOT-CondNews.woff2') format('woff2'),
         url('../fonts/GoodOT-CondNews.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

html {
	box-sizing: border-box;
	font-family:"GoodOT-CondBold";
	font-size: 1em;
	background-color: #2f3030;
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

/* *********************************** */

.date-picker {
	font-family:"GoodOT-CondBold";
	--control-size: 1.5rem;
	width: min-content;
	display: grid;
	grid-template-columns: repeat(3,min-content);
	grid-auto-rows: min-content;
	gap: calc(0.2 * var(--control-size));
	position: relative;
}

.date-picker button,
.date-picker input {
	font-size: var(--control-size);
	font-family:"GoodOT-CondBold";
}

.date-picker > button:focus {
	outline: 2px dashed blue;
	outline-offset: 1px;
}

.date-picker > .back-btn {
	padding: 0px;
	position: relative;
}
.date-picker > .back-btn:before {
	content: "";
	display: block;
	width: var(--control-size);
	height: var(--control-size);
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.com/svgjs' viewBox='0 0 16 16' width='16' height='16'%3E%3Cg transform='matrix(0.6666666666666666,0,0,0.6666666666666666,0,0)'%3E%3Cpath d='M21.016.531A2,2,0,0,0,19,.563L2.929,10.288a2,2,0,0,0,0,3.422L19,23.436a2,2,0,0,0,3.035-1.711V2.274A2,2,0,0,0,21.016.531Z' fill='%23000000' stroke='none' stroke-linecap='round' stroke-linejoin='round' stroke-width='0'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
	background-position: center;
	background-size: calc(0.7 * var(--control-size));
	background-repeat: no-repeat;
}
.date-picker > .back-btn:disabled {
	cursor: not-allowed;
}
.date-picker > .back-btn:disabled:before {
	opacity: 0.1;
}

.date-picker > .forward-btn {
	padding: 0px;
	position: relative;
}
.date-picker > .forward-btn:before {
	content: "";
	display: block;
	width: var(--control-size);
	height: var(--control-size);
	position: relative;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.com/svgjs' viewBox='0 0 16 16' width='16' height='16'%3E%3Cg transform='matrix(0.6666666666666666,0,0,0.6666666666666666,0,0)'%3E%3Cpath d='M21.058,10.289,5.014.564A2,2,0,0,0,1.978,2.275v19.45a2,2,0,0,0,3.037,1.711l16.043-9.725a2,2,0,0,0,0-3.422Z' fill='%23000000' stroke='none' stroke-linecap='round' stroke-linejoin='round' stroke-width='0'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
	background-position: center;
	background-size: calc(0.7 * var(--control-size));
	background-repeat: no-repeat;
}
.date-picker > .forward-btn:disabled {
	cursor: not-allowed;
}
.date-picker > .forward-btn:disabled:before {
	opacity: 0.1;
}

.date-picker > .date-input {
	position: relative;
	height: 100%;
	align-self: center;
}

.date-picker > .date-input > input[type=text] {
	cursor: default;
	display: block;
	width: calc(10 * var(--control-size));
	height: 100%;
	padding-left: 0.3em;
	z-index: 2;
}
.date-picker > .date-input.focused > input[type=text] {
	outline: 2px dashed blue;
	outline-offset: 1px;
}
.date-picker > .date-input::after {
	content: "";
	position: absolute;
	width: calc(1.5 * var(--control-size));
	height: 100%;
	top: 0px;
	right: 0px;
	z-index: 1;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.com/svgjs' viewBox='0 0 16 16' width='16' height='16'%3E%3Cg transform='matrix(0.6666666666666666,0,0,0.6666666666666666,0,0)'%3E%3Cpath d='M21.5,3H18.75a.25.25,0,0,1-.25-.25V1a1,1,0,0,0-2,0v4.75a.75.75,0,0,1-.75.75h0a.75.75,0,0,1-.75-.75V3.5a.5.5,0,0,0-.5-.5H8.25A.25.25,0,0,1,8,2.751V1A1,1,0,1,0,6,1v4.75a.75.75,0,0,1-.75.75h0a.75.75,0,0,1-.75-.75V3.5A.5.5,0,0,0,4,3H2.5a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h19a2,2,0,0,0,2-2V5A2,2,0,0,0,21.5,3ZM21,22H3a.5.5,0,0,1-.5-.5V9.5A.5.5,0,0,1,3,9H21a.5.5,0,0,1,.5.5v12A.5.5,0,0,1,21,22Z' fill='%23000000' stroke='none' stroke-linecap='round' stroke-linejoin='round' stroke-width='0'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
	background-position: calc(100% - (0.25 * var(--control-size))) 50%;
	background-size: calc(0.8 * var(--control-size));
	background-repeat: no-repeat;
}

.date-picker > .date-input > input[type=date] {
	position: absolute;
	display: block;
	left: 0px;
	top: 0px;
	width: calc(10 * var(--control-size));
	height: 100%;
	opacity: 0;
	cursor: pointer;
	border: none;
	padding: 0px;
	margin: 0px;
	z-index: 3;
}
.date-picker > .date-input > input[type=date]::-webkit-calendar-picker-indicator {
  position: absolute;
  left: -50%;
  top: 0px;
  width: 300%;
  height: 100%;
  color: transparent;
  background: transparent;
  cursor: pointer;
	z-index: 4;
}

/* *********************************** */

.time-picker {
	font-family:"GoodOT-CondBold";
	--control-size: 1.7rem;

	position: relative;
	display: inline-block;
	width: min-content;
}
.time-picker::after {
	content: "";
	position: absolute;
	width: calc(1.5 * var(--control-size));
	height: 100%;
	top: 0px;
	right: 0px;
	z-index: 1;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.com/svgjs' viewBox='0 0 16 16' width='16' height='16'%3E%3Cg transform='matrix(0.6666666666666666,0,0,0.6666666666666666,0,0)'%3E%3Cpath d='M12,0A12,12,0,1,0,24,12,12.014,12.014,0,0,0,12,0Zm0,22A10,10,0,1,1,22,12,10.011,10.011,0,0,1,12,22Z' fill='%23000000' stroke='none' stroke-linecap='round' stroke-linejoin='round' stroke-width='0'%3E%3C/path%3E%3Cpath d='M17.134,15.81,12.5,11.561V6.5a1,1,0,0,0-2,0V12a1,1,0,0,0,.324.738l4.959,4.545a1.01,1.01,0,0,0,1.413-.061A1,1,0,0,0,17.134,15.81Z' fill='%23000000' stroke='none' stroke-linecap='round' stroke-linejoin='round' stroke-width='0'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
	background-position: calc(100% - (0.25 * var(--control-size))) 50%;
	background-size: calc(0.8 * var(--control-size));
	background-repeat: no-repeat;
}

.time-picker input {
	font-size: var(--control-size);
	font-family:"GoodOT-CondBold";
}

.time-picker > input[type=text] {
	cursor: default;
	display: block;
	width: calc(7 * var(--control-size));
	height: 100%;
	padding-left: 0.3em;
	z-index: 2;
}
.time-picker.focused > input[type=text] {
	outline: 2px dashed blue;
	outline-offset: 1px;
}

.time-picker > input[type=time] {
	position: absolute;
	display: block;
	left: 0px;
	top: 0px;
	width: calc(7 * var(--control-size));
	height: 100%;
	opacity: 0;
	cursor: pointer;
	border: none;
	padding: 0px;
	margin: 0px;
	z-index: 3;
}
.time-picker > input[type=time]::-webkit-calendar-picker-indicator {
  position: absolute;
  left: -50%;
  top: 0px;
  width: 300%;
  height: 100%;
  color: transparent;
  cursor: pointer;
	z-index: 4;
}